<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Testimonials extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Testimonials', 'intense' );
		$this->description = __( 'Show off your testimonials with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_testimonials';
		$this->taxonomy = 'intense_testimonials_category';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_testimonials";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_testimonials_category";

		return parent::shortcode( $atts, $content );
	}
}